Categories:Sports & Health
License:GPL-3.0-only
Web Site:
Source Code:https://github.com/chaosbastler/opentraining
Issue Tracker:https://github.com/chaosbastler/opentraining/issues

Auto Name:Open Training
Summary:Plan your fitness training
Description:
Create a fitness plan by targeting specific muscles and selecting from the list.

When you've created a set you can export a spreadsheet to html for printing.
Some of the exercise names are in German but that shouldn't affect the app
usage.
.

Repo Type:git
Repo:https://github.com/chaosbastler/opentraining.git

Build:0.2.2,5
    commit=v0.2.2
    prebuild=wget http://repo1.maven.org/maven2/junit/junit/4.10/junit-4.10.jar -P libs/
    target=android-16

Build:0.2.3,6
    commit=v0.2.3
    extlibs=junit/junit-4.10.jar
    target=android-16

Build:0.3.1,8
    commit=v0.3.1
    subdir=app
    srclibs=ActionBarSherlock@90939dc
    extlibs=junit/junit-4.10.jar
    prebuild=sed -i 's@\(reference.1=\).*@\1$$ActionBarSherlock$$@' project.properties

Build:0.4,11
    commit=v0.4
    subdir=app
    srclibs=ActionBarSherlock@90939dc
    extlibs=junit/junit-4.10.jar
    prebuild=sed -i 's@\(reference.1=\).*@\1$$ActionBarSherlock$$@' project.properties

Build:0.5,18
    commit=v0.5
    subdir=app
    extlibs=junit/junit-4.10.jar
    prebuild=cp -R $$SDK$$/extras/android/support/v7/appcompat/ appcompat/ && \
        echo -e "\nandroid.library.reference.1=./appcompat/" >> ./local.properties && \
        $$SDK$$/tools/android update lib-project --path ./appcompat/
    target=android-18

Build:0.5.1,19
    commit=v0.5.1
    subdir=app
    extlibs=junit/junit-4.10.jar
    prebuild=cp -R $$SDK$$/extras/android/support/v7/appcompat/ appcompat/ && \
        echo -e "\nandroid.library.reference.1=./appcompat/" >> ./local.properties && \
        $$SDK$$/tools/android update lib-project --path ./appcompat/
    target=android-18

Build:0.6,22
    commit=v0.6
    subdir=app
    extlibs=junit/junit-4.10.jar
    prebuild=cp -R $$SDK$$/extras/android/support/v7/appcompat/ appcompat/ && \
        echo -e "\nandroid.library.reference.1=./appcompat/" >> ./local.properties && \
        $$SDK$$/tools/android update lib-project --path ./appcompat/
    target=android-18

Build:0.6.2,25
    commit=v0.6.2
    subdir=app
    gradle=yes
    prebuild=mv ../build.gradle . && \
        sed -i -e 's@app/@@g' build.gradle

Build:0.7,26
    commit=v0.7
    subdir=app
    gradle=yes
    prebuild=mv ../build.gradle . && \
        sed -i -e 's@app/@@g' build.gradle

Build:0.7.1,27
    commit=v0.7.1
    subdir=app
    gradle=yes
    srclibs=NineOldAndroids@2.4.0
    rm=app/libs/acra-4.5.0.jar,app/libs/nineoldandroids-2.4.0.jar
    prebuild=cp -r $$NineOldAndroids$$/src/com  src/ && \
        mv ../build.gradle . && \
        sed -i -e '/versionCode 1/d' -e '/versionName "1.0"/d' -e 's@app/@@g' build.gradle

Build:0.7.3,29
    commit=v0.7.3
    subdir=app
    gradle=yes
    srclibs=NineOldAndroids@2.4.0
    rm=app/libs/acra-4.5.0.jar,app/libs/nineoldandroids-2.4.0.jar
    prebuild=cp -r $$NineOldAndroids$$/src/com  src/ && \
        mv ../build.gradle . && \
        sed -i -e '/versionCode 1/d' -e '/versionName "1.0"/d' -e 's@app/@@g' build.gradle

Build:0.7.5,31
    commit=v0.7.5
    init=sed -i -e '/gradleVersion/d' build.gradle && \
        echo 'task wrapper(type: Wrapper) { gradleVersion = "2.2.1" }' >> build.gradle
    gradle=yes
    rm=app/libs/acra-4.5.0.jar
    scanignore=app/svg/exercises/xport-width=1200

Maintainer Notes:
Switch back to UCM:Tags when next version is released.
.

Auto Update Mode:None
Update Check Mode:None
Current Version:0.7.5
Current Version Code:31
